package com.liquidnet.common.third.zxlnft.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: 29.积分查询  GET请求方式
 * @class: PointQueryReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:42
 */
@Data
public class Nft029PointQueryReqDto implements Serializable {
    /**
     * 查询人地址
     */
    private String addr;
    /**
     * 平台地址
     */
    private String platformAddr;

    private static final Nft029PointQueryReqDto obj = new Nft029PointQueryReqDto();
    private static final long serialVersionUID = -5659689688759923508L;

    public static Nft029PointQueryReqDto getNew() {
        try {
            return (Nft029PointQueryReqDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft029PointQueryReqDto();
        }
    }
}
